package server

import (
	"fmt"
	"net/http"
)

func rewriteHeaders(next http.Handler) http.Handler {
	return http.HandlerFunc(func(w http.ResponseWriter, r *http.Request) {
		forwardedMethod := r.Header.Get("X-Forwarded-Method")
		forwardedUri := r.Header.Get("X-Forwarded-Uri")

		fmt.Printf("Headers: %s, %s\n", forwardedMethod, forwardedUri)

		r.Method = forwardedMethod
		r.RequestURI = forwardedUri

		next.ServeHTTP(w, r)
	})
}
